## lxqt-notificationd 2.0.1

=== debian/changelog ===
lxqt-notificationd (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:38:59 -0500

lxqt-notificationd (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Fix outdated Lintian override formatting.
  * Add an upstream metadata file in the packaging.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 18:28:09 -0600

lxqt-notificationd (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * I guess we don't require root to build, do we?
  * Bad trailing whitespace.
  * Remove redundant build flags.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:50:36 -0500

lxqt-notificationd (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump build dependencies in debian/control.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 17:28:36 -0600

lxqt-notificationd (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove old Breaks/Replaces since we're past the LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 15:57:42 -0500

=== debian/control ===
Source: lxqt-notificationd
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               layer-shell-qt,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev,
               liblxqt2-dev (>= 1.4.0),
               libx11-dev,
               qt6-base-private-dev,
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-notificationd
 The l10n files for lxqt-notificationd.
 .
 This package contains the l10n files needed by lxqt-notificationd.

## lxqt-notificationd 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-notificationd)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)

set(KF6_MINIMUM_VERSION "6.0.0")
set(LXQT_MINIMUM_VERSION "2.1.0")
set(QT_MINIMUM_VERSION "6.6.0")
set(SHELLQT_MINIMUM_VERSION "6.0.0")

find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt6Core_VERSION}")

# Patch Version
set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)

set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
add_definitions(
    "-DLXQT_NOTIFICATIOND_VERSION=\"${LXQT_NOTIFICATIOND_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)
if (LXQT_NOTIFICATION_BUILD_TESTS)
    add_subdirectory(test)
endif()

## merged from lxqt-common
add_subdirectory(autostart)

## lxqt-notificationd 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 message(STATUS "Building with Qt${Qt6Core_VERSION}")
 
 # Patch Version
-set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)
+set(LXQT_NOTIFICATIOND_PATCH_VERSION 1)
 
 set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-notificationd (2.1.1-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:40:17 -0600

lxqt-notificationd (2.1.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:56:58 -0600

lxqt-notificationd (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Dec 2024 17:44:52 -0600

lxqt-notificationd (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: lxqt-notificationd
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -8,18 +8,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                layer-shell-qt,
-               libkf6windowsystem-dev,
-               liblayershellqtinterface-dev,
-               liblxqt2-dev (>= 1.4.0),
+               libkf6windowsystem-dev (>= 6.0.0),
+               liblayershellqtinterface-dev (>= 6.0.0),
+               liblxqt2-dev (>= 2.1.0),
                libx11-dev,
-               qt6-base-private-dev,
-               qt6-svg-dev,
-               qt6-wayland-dev
-Standards-Version: 4.7.0
+               qt6-base-private-dev (>= 6.6.0),
+               qt6-svg-dev (>= 6.6.0),
+               qt6-wayland-dev (>= 6.6.0)
+Standards-Version: 4.7.1
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
+Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
+Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
 Rules-Requires-Root: no
 Homepage: https://github.com/lxqt/lxqt-notificationd

## lxqt-notificationd 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF6_MINIMUM_VERSION "6.0.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 set(SHELLQT_MINIMUM_VERSION "6.0.0")
 
@@ -30,7 +30,7 @@
 message(STATUS "Building with Qt${Qt6Core_VERSION}")
 
 # Patch Version
-set(LXQT_NOTIFICATIOND_PATCH_VERSION 1)
+set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)
 
 set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
 add_definitions(

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(lxqt_notificationd_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== config/CMakeLists.txt ===
project(lxqt-config-notificationd)

set(NOTIFICATIONS_CONF_SRC
    advancedsettings.cpp
    basicsettings.cpp
    mainwindow.cpp
    main.cpp
)

set(NOTIFICATIONS_CONF_UI
    advancedsettings.ui
    basicsettings.ui
)


# Translations **********************************
lxqt_translate_ts(NOTIFICATIONS_CONF_QM
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${NOTIFICATIONS_CONF_MOC}
    ${NOTIFICATIONS_CONF_SRC}
    ${NOTIFICATIONS_CONF_UI}
    INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config-notificationd.desktop.in USE_YAML)
#************************************************


add_executable(${PROJECT_NAME}
    ${NOTIFICATIONS_CONF_SRC}
    ${NOTIFICATIONS_CONF_QM}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    KF6::WindowSystem
    Qt6::Widgets
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
set(NOTIFICATIONS_SRC
    main.cpp
    notificationarea.cpp
    notification.cpp
    notificationlayout.cpp
    notificationwidgets.cpp
    notifyd.cpp
)

set(NOTIFICATIONS_UI
    notification.ui
)

Qt6_add_dbus_adaptor(NOTIFICATIONS_DBUS_SRC
    org.freedesktop.Notifications.xml
    notifyd.h Notifyd
)

set_property(SOURCE ${NOTIFICATIONS_DBUS_SRC} PROPERTY SKIP_AUTOGEN ON)
list(APPEND NOTIFICATIONS_SRC "${NOTIFICATIONS_DBUS_SRC}")

# Translations **********************************
lxqt_translate_ts(NOTIFICATIONS_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${NOTIFICATIONS_SRC}
    ${NOTIFICATIONS_UI}
    INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-notificationd
    ${NOTIFICATIONS_SRC}
    ${NOTIFICATIONS_QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-notificationd
    Qt6::Widgets
    Qt6::DBus
    lxqt
    KF6::WindowSystem
    LayerShellQtInterface
)

install(TARGETS
    lxqt-notificationd
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

=== src/translations/CMakeLists.txt ===
project(lxqt-notificationd)

build_component("." "")

=== debian/changelog ===
lxqt-notificationd (2.2.0-2) unstable; urgency=medium

  * d/control: Fix Recommends (Closes: #1115450)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 17 Sep 2025 23:03:50 +0800

lxqt-notificationd (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 23:25:24 +0800

lxqt-notificationd (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 15:31:28 +0200

lxqt-notificationd (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * build-deps on liblayershellqtinterface-dev (>= 6.2.4~).
  * build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Thu, 05 Dec 2024 11:54:38 +0100

lxqt-notificationd (2.0.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:52:34 +0100

lxqt-notificationd (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: update Recommends to lxqt-qtplugin6
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-private-
    dev

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * New upstream version 2.0.1
  * debian/control: build-deps on liblayershellqtinterface-dev (>= 6.0.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 14:43:53 +0200

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.2.4~),
               liblxqt-dev (>= 2.2.0~),
               lxqt-build-tools (>= 2.2.0~),
               qt6-base-private-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd
Rules-Requires-Root: no

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-notificationd
 The l10n files for lxqt-notificationd.
 .
 This package contains the l10n files needed by lxqt-notificationd.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-notificationd 2.3.0

=== debian/changelog ===
lxqt-notificationd (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Sun, 23 Nov 2025 15:47:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.2.4~),
-               liblxqt-dev (>= 2.2.0~),
-               lxqt-build-tools (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-base-private-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2

## lxqt-notificationd 2.3.1

=== debian/changelog ===
lxqt-notificationd (2.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove unnecessary Rules-Requires-Root.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 19 Feb 2026 18:13:43 -0500

lxqt-notificationd (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:06:04 -0500

=== debian/control ===
Source: lxqt-notificationd
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               layer-shell-qt,
               libkf6windowsystem-dev (>= 6.0.0),
               liblayershellqtinterface-dev (>= 6.0.0),
               liblxqt2-dev (>= 2.3.0),
               libx11-dev,
               qt6-base-private-dev (>= 6.6.0),
               qt6-svg-dev (>= 6.6.0),
               qt6-wayland-dev (>= 6.6.0)
Standards-Version: 4.7.3
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-notificationd-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-notificationd
 The l10n files for lxqt-notificationd.
 .
 This package contains the l10n files needed by lxqt-notificationd.
